function [np,gam,b0,b1,ni] = calsemiv(data)

% Première partie de GEORGHES.m
% Permet de tracer les semi-variogrammes afin de choisir quel
% type de fonction continue les représentent le mieux

disp ('Étape 1: Kolmogorov-Smirnov test')
%----------------------------------------
% a) Enlève les nan si présent dans l'échantillon

  n  = isnan(data(:,2));
  nn = find(n == 0);
  data  = data (nn,:);

% b) kstest

  [ni,b0,b1] = calks (data(:,2));

% c) transfomation log10 si nécessaire

  if ni == 1
     data(:,2) = b1*data(:,2)+b0;		% translation nécessaire pour éviter la présence de 0 
     data(:,2) = log10(data(:,2));
  end

disp ('Étape 2: Ajustement d''un plan')
% ------------------------------------
% a) Enlève la moyenne de l'échantillon

  meandat = mean(data(:,2));
  dat = [data(:,1) data(:,2) - meandat];

disp ('Étape 3: Semi-variogramme')
% --------------------------------
% a) Position des stations (UTM, zéro: -67.8) 
  
  load stn		% no station, longitude (m), latitude (m)
  stn(:,1);
  dat(:,1);
  x = stn (dat(:,1),2);	% Position EST de dat
  y = stn (dat(:,1),3); % Position NORD de dat
  z = dat(:,2);

% b) Calcul du semi-variogramme

  [np,gam] = calvario (x./1000,y./1000,z);	% coordonnées en km
  l = length(np);
  np = np(2:l,:);
  gam = gam(2:l,:);
  i = find(np(:,2) > 20);
  np = np(i,1:2);
  gam = gam(i,1:2);
